'''Created Aug 12, 2021 Levi'''

import numpy as np
import pandas as pd
from flask import Flask, request, render_template, session, redirect

from revisal.rvs import ReviSal, get_db_folder

revisal = ReviSal(employer='MOZAIK CONSULTING')

app = Flask(__name__)

df = revisal.create_df(mode='audit')
# df = pd.DataFrame({'A': [0, 1, 2, 3, 4],
#                    'B': [5, 6, 7, 8, 9],
#                    'C': ['a', 'b', 'c--', 'd', 'e']})


@app.route('/', methods=("POST", "GET"))
def html_table():

    return render_template('simple.html', tables=[df.to_html(classes='data')], titles=df.columns.values)


if __name__ == '__main__':
    app.run(host='0.0.0.0')
